package j2d;

import java.awt.*;

public class MinMax2D {
    private int minX = Integer.MAX_VALUE;
    private int minY = Integer.MAX_VALUE;
    private int maxX = Integer.MIN_VALUE;
    private int maxY = Integer.MIN_VALUE;

    /**
     * @return size + 1 of area
     */
    public Dimension getSize() {
        //NOTE
        //this was the bug; the width was being passed as the height value to the constructor
        // and vice versa
        return new Dimension(getMaxX() - getMinX() + 1, getMaxY() - getMinY() + 1);
    }

    public int getMinY() {
        return minY;
    }

    public int getMinX() {
        return minX;
    }

    public int getMaxY() {
        return maxY;
    }

    public int getMaxX() {
        return maxX;
    }

    public void setMaxY(int y) {
        maxY = y;
    }

    public void setMaxX(int x) {
        maxX = x;
    }

    public void setMinY(int y) {
        minY = y;
    }

    public void setMinX(int x) {
        minX = x;
    }

    public String toString() {
        return "minX=" + getMinX() +
                "\nmaxX=" + getMaxX() +
                "\nminY=" + getMinY() +
                "\nmaxY=" + getMaxY();
    }
}
